import request from '@/utils/request'

// 查询消防水炮检查记录列表
export function listCannon(query) {
  return request({
    url: '/fire/cannon/list',
    method: 'get',
    params: query
  })
}

// 查询消防水炮检查记录详细
export function getCannon(id) {
  return request({
    url: '/fire/cannon/' + id,
    method: 'get'
  })
}

// 新增消防水炮检查记录
export function addCannon(data) {
  return request({
    url: '/fire/cannon',
    method: 'post',
    data: data
  })
}

// 修改消防水炮检查记录
export function updateCannon(data) {
  return request({
    url: '/fire/cannon',
    method: 'put',
    data: data
  })
}

// 删除消防水炮检查记录
export function delCannon(id) {
  return request({
    url: '/fire/cannon/' + id,
    method: 'delete'
  })
}
